// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdMetaPlugin",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdMetaPlugin", targets: ["WebIdMetaPluginWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdVideoIdentProductPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-video-ident-product-plugin-spm.git",
            .branch("redesign-v4-snapshots")
        ),
        .package(
            name: "WebIdVideoIdentPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-video-ident-plugin-spm",
            .exact("11.4.2")
        ),
        .package(
            name: "WebIdDigitalSigningPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-digital-signing-plugin-spm",
            .exact("12.4.2")
        ),
        .package(
            name: "WebIdIosIdentScanPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-ident-scan-plugin-spm",
            .exact("13.5.2")
        ),
        .package(
            name: "WebIdOnServerDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-on-server-document-scanner-spm",
            .exact("13.5.2")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdMetaPlugin",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4-snapshots/de/webid-solutions/WebIdMetaPlugin/14.6.0/WebIdMetaPlugin.framework-v14.6.0-SNAPSHOT-1397.zip",
            checksum: "6189cf77ceb91a50713a25e04c1ff39623615d792a46d1ff4d53efb3cac20eca"
        ),
        .target(
            name: "WebIdMetaPluginWrapper",
            dependencies: [
                .target(name: "WebIdMetaPlugin"),
                // [target dependecies here]
                
                .product(name: "WebIdVideoIdentProductPlugin", package: "WebIdVideoIdentProductPlugin"),
                .product(name: "WebIdVideoIdentPlugin", package: "WebIdVideoIdentPlugin"),
                .product(name: "WebIdDigitalSigningPlugin", package: "WebIdDigitalSigningPlugin"),
                .product(name: "WebIdIosIdentScanPlugin", package: "WebIdIosIdentScanPlugin"),
                .product(name: "WebIdOnServerDocumentScanner", package: "WebIdOnServerDocumentScanner"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
